# Class AddressEntryList

#### Hierarchy

- unknown
  - AddressEntryList

- Defined in src/protobuf/pb_pb.d.ts:5657
- Defined in src/protobuf/pb_pb.d.ts:5671

#####
Index

### Constructors

constructor

### Methods

addAddressEntry
clearAddressEntryList
getAddressEntryList
serializeBinary
setAddressEntryList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new AddressEntryList(): AddressEntryList

- #### Returns AddressEntryList

  Inherited from jspb.Message.constructor

## Methods

### addAddressEntry

- addAddressEntry(value?: AddressEntry, index?: number): AddressEntry

- #### Parameters

  - ##### `Optional` value: AddressEntry

  - ##### `Optional` index: number

  #### Returns AddressEntry

  - Defined in src/protobuf/pb_pb.d.ts:5661

### clearAddressEntryList

- clearAddressEntryList(): AddressEntryList

- #### Returns AddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5660

### getAddressEntryList

- getAddressEntryList(): AddressEntry[]

- #### Returns AddressEntry[]

  - Defined in src/protobuf/pb_pb.d.ts:5658

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5663

### setAddressEntryList

- setAddressEntryList(value: AddressEntry[]): AddressEntryList

- #### Parameters

  - ##### value: AddressEntry[]

  #### Returns AddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5659

### toObject

- toObject(includeInstance?: boolean): AddressEntryList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns AddressEntryList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5664

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddressEntryList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5667

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddressEntryList, reader: BinaryReader): AddressEntryList

- #### Parameters

  - ##### message: AddressEntryList

  - ##### reader: BinaryReader

  #### Returns AddressEntryList

  - Defined in src/protobuf/pb_pb.d.ts:5668

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: AddressEntryList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: AddressEntryList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5666

### `Static` toObject

- toObject(includeInstance: boolean, msg: AddressEntryList): AddressEntryList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddressEntryList

  #### Returns AddressEntryList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5665

Generated using TypeDoc